"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inject = void 0;
const fs_extra_1 = require("fs-extra");
async function inject(args) {
    const json = await fs_extra_1.readJSON(args.package);
    const exportMap = await fs_extra_1.readJSON(args.export);
    json.exports = exportMap;
    await fs_extra_1.writeJSON(args.package, json, {
        spaces: 2
    });
    console.log("Injected export map %s into %s", args.export, args.package);
}
exports.inject = inject;
//# sourceMappingURL=inject.js.map